## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FunctionKey Class Reference

`#include <FunctionKey.hpp>`

Inheritance diagram for FunctionKey:

[legend]
Collaboration diagram for FunctionKey:

[legend]
List of all members.

## Public Types

- typedef Function ParentType

## Public Methods

- FunctionKey ()
- virtual ~FunctionKey ()
- virtual XObjectPtr execute (XPathExecutionContext &executionContext, XalanNode *context, const XObjectPtr arg1, const XObjectPtr arg2, const LocatorType *locator) const
    Execute an XPath function object. More...
- virtual FunctionKey* clone (MemoryManagerType &theManager) const
    Create a copy of the function object. More...

## Protected Methods

- virtual const XalanDOMString& getError (XalanDOMString &theResult) const
    Get the error message to report when the function is called with the wrong number of arguments. More...

## Member Typedef Documentation

typedef Function FunctionKey::ParentType

## Constructor & Destructor Documentation

FunctionKey::FunctionKey ( | )

FunctionKey::~FunctionKey ( | )`[virtual]`

## Member Function Documentation

FunctionKey * FunctionKey::clone ( | MemoryManagerType & theManager ) const`[virtual]`

| Create a copy of the function object. Returns: pointer to the new object Reimplemented from Function.

XObjectPtr FunctionKey::execute ( | XPathExecutionContext & executionContext,
| XalanNode * context,
| const XObjectPtr arg1,
| const XObjectPtr arg2,
| const LocatorType * locator ) const`[virtual]`

  | Execute an XPath function object. The function must return a valid object. Called if function has two parameters. Parameters:
  executionContext | executing context
  context | current context node
  arg1 | pointer to XObject argument
  arg2 | pointer to XObject argument
  locator | LocatorType instance for the XPath expression that contains the function call
Returns: pointer to the result XObject Reimplemented from Function.

const XalanDOMString & FunctionKey::getError ( | XalanDOMString & theResult ) const`[protected, virtual]`

| Get the error message to report when the function is called with the wrong number of arguments. Returns: function error message Reimplemented from Function.

The documentation for this class was generated from the following file:

- FunctionKey.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.